//ReflectionWnd.h : Declaration of the CReflectionWnd

#ifndef __REFLECTIONWND_H_
#define __REFLECTIONWND_H_

#include <commctrl.h>
#include "UWToolBar.h"

/////////////////////////////////////////////////////////////////////////////
// CReflectionWnd - not much here, just create new UWToolBar, pass messages to it
class CReflectionWnd : public CWindowImpl<CReflectionWnd>
{
public:
    DECLARE_WND_CLASS(NULL)

        //chain the toolbar to pass messages to it

        BEGIN_MSG_MAP(CReflectionWnd)
        MESSAGE_HANDLER(WM_CREATE, OnCreate);

    CHAIN_MSG_MAP_MEMBER(m_ToolBarWnd);

    END_MSG_MAP()

        // Handler prototypes:
        //  LRESULT MessageHandler(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
        //  LRESULT CommandHandler(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
        //  LRESULT NotifyHandler(int idCtrl, LPNMHDR pnmh, BOOL& bHandled);
        LRESULT OnCreate(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
    virtual ~CReflectionWnd();

    //inline getter function for WarnBar
    inline CUWToolBar& GetToolBar() { return m_ToolBarWnd; };

private:
    CUWToolBar m_ToolBarWnd;
};

#endif //__REFLECTIONWND_H_
